Bug 33924 - Don't install systemd units to with --without-systemdsystemunitdir
Don't install systemd units to with --without-systemdsystemunitdir
Status: RESOLVED FIXED
Product: ConsoleKit
Classification: Unclassified
Component: Daemon
unspecified
Other All
: medium normal
Assigned To: william.jon.mccann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 18:31 UTC by Brett Witherspoon
Modified: 2012-03-19 08:38 UTC (History)
0 users

See Also:


Attachments
Don (1.27 KB, application/octet-stream)
2011-02-16 16:10 UTC, Brett Witherspoon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brett Witherspoon 2011-02-04 18:31:01 UTC
If one uses the configure option --without-systemdsystemunitdir the systemd units are installed to /no when they shouldn't be installed at all. Attached is a patch that will not install systemd units if --without-systemdsystemunitdir is given. If --with-systemdsystemdunitdir without a path or nothing at all is given pkg-config is used.
Comment 1 Lennart Poettering 2011-02-16 15:35:18 UTC
Hmm, no patch attached?
Comment 2 Brett Witherspoon 2011-02-16 16:10:33 UTC
Created attachment 43460 [details]
Don
Comment 3 Brett Witherspoon 2011-02-16 16:11:10 UTC
Opps, not sure how I forgot to attach that.
Comment 4 Michael Biebl 2012-03-19 08:38:28 UTC
Committed a similar fix in 67cff230cff6b838d5a473f6bc44b28bcacc3a17